package com.sheep.gamegroup.model.entity;

/**
 * Created by realicing on 2018/6/29.
 * realicing@sina.com
 */
public class FindAppReservation {
    private int UserId;

    private int Type;//2:预约 1：下载

    private int UpdatedAt;

    private int ApplicationId;

    private Applications application;

    private int Id;

    private int Status;//预约下载状态：1：预约未下载 2：预约已下载 (直接下载默认0)

    private int CreatedAt;

    public void setUserId(int UserId){
        this.UserId = UserId;
    }
    public int getUserId(){
        return this.UserId;
    }
    public void setType(int Type){
        this.Type = Type;
    }
    public int getType(){
        return this.Type;
    }
    public void setUpdatedAt(int UpdatedAt){
        this.UpdatedAt = UpdatedAt;
    }
    public int getUpdatedAt(){
        return this.UpdatedAt;
    }
    public void setApplicationId(int ApplicationId){
        this.ApplicationId = ApplicationId;
    }
    public int getApplicationId(){
        return this.ApplicationId;
    }
    public void setApplication(Applications application){
        this.application = application;
    }
    public Applications getApplication(){
        return this.application;
    }
    public void setId(int Id){
        this.Id = Id;
    }
    public int getId(){
        return this.Id;
    }
    public void setStatus(int Status){
        this.Status = Status;
    }
    public int getStatus(){
        return this.Status;
    }
    public void setCreatedAt(int CreatedAt){
        this.CreatedAt = CreatedAt;
    }
    public int getCreatedAt(){
        return this.CreatedAt;
    }







    private boolean cancel;//取消预约状态：默认没有取消预约为false

    public boolean isCancel() {
        return cancel;
    }

    public void setCancel(boolean cancel) {
        this.cancel = cancel;
    }
}
